package com.logicbig.example;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(name = "myServlet3", urlPatterns = {"/clean"})
public class MyServlet3 extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws IOException {

        HttpSession session = req.getSession(false);
        if (session != null && session.getAttribute("userData") != null) {
            System.out.println("-- removing userData attribute from session --");
            session.removeAttribute("userData");
        }

        resp.setContentType("text/html");
        PrintWriter w = resp.getWriter();
        w.write("attribute removed !!");
    }
}